import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot } from '@angular/router';
import { Observable, of } from 'rxjs';
import { ExerciseComponent } from './exercise.component';

@Injectable({ providedIn: 'root' })
export class ExerciseResolve implements Resolve<String> {
  resolve(route: ActivatedRouteSnapshot): Observable<String> | Observable<never> {
    let subUrl = '';
    let verkett = '';
    for (let i = 0; i < route.url.length; i++) {
      subUrl += verkett;
      subUrl += route.url[i].path;
      verkett = '/';
    }
    if (subUrl === '') return of('helpStart');
    return of(subUrl);
  }
}

export const exerciseRoutes = {
  path: 'item',
  children: [
    {
      path: '**',
      loadChildren: () => import('app/exercisePage/exercisePages.module').then(m => m.ExercisePageModule),
      resolve: {
        pagePath: ExerciseResolve,
      },
      component: ExerciseComponent,
    },
  ],
};
